VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::vm::hardware::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.vcenter.vm.hardware` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | ideAddressInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | scsiAddressInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | sataAddressInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | ideAddressSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | scsiAddressSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | sataAddressSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | connectionInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | connectionCreateSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | connectionUpdateSpec

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.vcenter.vm.hardware` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::connectionCreateSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("start_connected", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("allow_guest_control", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.connection_create_spec", fields, typeof(vmware.vcenter.vm.hardware.ConnectionCreateSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::connectionInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("state", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.ConnectionState)));
                    fields.Add("start_connected", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("allow_guest_control", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.connection_info", fields, typeof(vmware.vcenter.vm.hardware.ConnectionInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::connectionUpdateSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("start_connected", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("allow_guest_control", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.connection_update_spec", fields, typeof(vmware.vcenter.vm.hardware.ConnectionUpdateSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::ideAddressInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("primary", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("master", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.ide_address_info", fields, typeof(vmware.vcenter.vm.hardware.IdeAddressInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::ideAddressSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("primary", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("master", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.ide_address_spec", fields, typeof(vmware.vcenter.vm.hardware.IdeAddressSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::sataAddressInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("bus", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("unit", new vmware.vapi.bindings.type.IntegerType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.sata_address_info", fields, typeof(vmware.vcenter.vm.hardware.SataAddressInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::sataAddressSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("bus", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("unit", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.sata_address_spec", fields, typeof(vmware.vcenter.vm.hardware.SataAddressSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::scsiAddressInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("bus", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("unit", new vmware.vapi.bindings.type.IntegerType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.scsi_address_info", fields, typeof(vmware.vcenter.vm.hardware.ScsiAddressInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::StructDefinitions::scsiAddressSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("bus", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("unit", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.scsi_address_spec", fields, typeof(vmware.vcenter.vm.hardware.ScsiAddressSpec), validators, false, null);
                })

The documentation for this class was generated from the following file:

- vcenter/vm/hardware/StructDefinitions.cs